package com.zkqy.execution.produce.dispersed.entity.runbpm;

import com.zkqy.system.entity.CommonEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 处理提交表单数据
 *
 * @author hanzihang
 * @date 2023/12/15 1:58 PM
 */
public class BpmRunNodeFormDateVo {
    /**
     * insertCommonEntityList 新增
     * updateCommonEntityList 修改
     * deleteCommonEntityList 删除
     */
    private List<CommonEntity> insertCommonEntityList, updateCommonEntityList, deleteCommonEntityList;

    public BpmRunNodeFormDateVo() {
        this.insertCommonEntityList = new ArrayList<>();
        this.updateCommonEntityList = new ArrayList<>();
        this.deleteCommonEntityList = new ArrayList<>();
    }

    public BpmRunNodeFormDateVo(List<CommonEntity> insertCommonEntityList, List<CommonEntity> updateCommonEntityList, List<CommonEntity> deleteCommonEntityList) {
        this.insertCommonEntityList = insertCommonEntityList;
        this.updateCommonEntityList = updateCommonEntityList;
        this.deleteCommonEntityList = deleteCommonEntityList;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("BpmRunNodeFormDateVo{");
        sb.append("insertCommonEntityList=").append(insertCommonEntityList);
        sb.append(", updateCommonEntityList=").append(updateCommonEntityList);
        sb.append(", deleteCommonEntityList=").append(deleteCommonEntityList);
        sb.append('}');
        return sb.toString();
    }

    public List<CommonEntity> getInsertCommonEntityList() {
        return insertCommonEntityList;
    }

    public void setInsertCommonEntityList(List<CommonEntity> insertCommonEntityList) {
        this.insertCommonEntityList = insertCommonEntityList;
    }

    public List<CommonEntity> getUpdateCommonEntityList() {
        return updateCommonEntityList;
    }

    public void setUpdateCommonEntityList(List<CommonEntity> updateCommonEntityList) {
        this.updateCommonEntityList = updateCommonEntityList;
    }

    public List<CommonEntity> getDeleteCommonEntityList() {
        return deleteCommonEntityList;
    }

    public void setDeleteCommonEntityList(List<CommonEntity> deleteCommonEntityList) {
        this.deleteCommonEntityList = deleteCommonEntityList;
    }
}
